Subject: [Unbearable] We all avoid the extra SHA256 now

From: Bill Cox <[email-masked]>
Date: Tue, 3 Nov 2015 12:56:18 -0800

Nick modified his code in a simple manner that avoided the extra call to
SHA256 when doing the signature verification.  It is not documented, but
EC_EVP_CTX_verify will do a raw ECDSA signature when no digest is specified
on the context.  I assume that RSA is similar, and will verify this soon.
I rewrote my code to use this, simplifying by about 2X.

So, I'm good with avoiding the extra SHA256.  I like how it has been
removed from the spec.

Thanks,
Bill